/* idea.h */
// adapted AL 1997

#ifndef _IDEA_DOT_H
#define _IDEA_DOT_H

#ifndef word16
#define word16 unsigned short
#endif

#ifdef  __cplusplus
extern "C" {
#endif

void getuserkeyfromargv(word16 *key,const char *password);
void cipher_string( const char *instr, char *outstr,word16 *key,long length);
void decipher_string( const char *instr, char *outstr,word16 *key,long length);

#ifdef  __cplusplus
}
#endif

#endif /* _IDEA_DOT_H */




